package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-10-28
 * @description : token监测
 */
@Getter
@AllArgsConstructor
public enum TokenCheckEnum {

    /**
     * 参数不全
     */
    PARAM_LACK(-1, "参数不全"),

    /**
     * 微信支付
     */
    CHECK_FAIL(-2, "验证失败"),

    /**
     * 签名错误
     */
    SIGN_ERROR(-3, "签名错误");

    /**
     * 支付方式
     */
    private final Integer code;

    /**
     * 支付类前缀
     */
    private final String msg;
}
